### Property

# Handy ViewSwitcher:narrow-ellipsize

since: 1.0

#### Declaration

    property narrow-ellipsize: Pango.EllipsizeMode [ read, write ]

#### Description [src]

The preferred place to ellipsize the string.

If the narrow mode label does not have enough room to display the entire string, specified as a `PangoEllipsizeMode`.

Note that setting this property to a value other than `PANGO_ELLIPSIZE_NONE` has the side-effect that the label requests only enough space to display the ellipsis.

Type:`PangoEllipsizeMode`

Available since: 1.0

Default value | PANGO_ELLIPSIZE_NONE
Getter method | `hdy_view_switcher_get_narrow_ellipsize()`
Setter method | `hdy_view_switcher_set_narrow_ellipsize()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no